XSTAT_FS_TEST(1)

NAME
xstat_fs_test - Displays data collections from the File Server process

SYNOPSIS
xstat_fs_test [initcmd] -fsname <file server name(s) to monitor>+
    -collID <collection(s) to fetch>+ [-onceonly]
    [-frequency <poll frequency, in seconds>]
    [-period <data collection time, in minutes>] [-debug] [-help]

xstat_fs_test [initcmd] -fs <File Server name(s) to monitor>+
    -c <Collection(s) to fetch>+ [-o]
    [-fr <poll frequency, in seconds>]
    [-p <data collection time, in minutes>] [-d] [-h]

DESCRIPTION
The xstat_fs_test command tests the routines in the libxstat_fs.a library and displays the data collections associated with the File Server (the "fs" process). The command executes in the foreground.

The command produces a large volume of output; to save it for later analysis, direct it to a file.

OPTIONS

initcmd
    Accommodates the command's use of the AFS command parser, and is optional.

-fsname <file server name to monitor>+
    Specifies the fully qualified hostname of each file server machine for which to monitor the File Server process.

-collID <collection to fetch>+
    Specifies each data collection to return, which defines the type and amount of data the command interpreter gathers about the File Server. Data is returned in a predefined data structure.

    There are four acceptable values:

    0   Provides profiling information about the numbers of times different internal File Server routines were called since the File Server started. This value is not currently implemented; it returns no data.

    1   Reports various internal performance statistics related to the File Server (for example, vnode cache entries and Rx protocol activity).

    2   Reports all of the internal performance statistics provided by the 1 setting, plus some additional, detailed performance figures about the File Server (for example, minimum, maximum, and cumulative statistics regarding File Server RPCs, how long they take to complete, and how many succeed).

    3   Reports File Server callback processing statistics since the File Server started, including the number of call of callbacks added (AddCallBack), the number of callbacks broken (BreakCallBacks), and the number of callback space reclaims (GetSomeSpaces).

-onceonly
    Gathers statistics just one time. Omit this flag to have the command continue to probe the Cache Manager for statistics at the frequency specified by the -frequency argument; in this case press Ctrl-C to stop the probes.

-frequency <poll frequency>
    Sets the frequency in seconds at which the program initiates probes to the Cache Manager. The default is 30 seconds.

-period <data collection time>
    Sets the number of minutes the program runs; at the end of this period of time, the program exits. The default is 10 minutes.

-debug
    Displays a trace on the standard output stream as the command runs.

-help
    Prints the online help for this command. All other valid options are ignored.

SEE ALSO
xstat_cm_test(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.